import { CompoundedComponent } from "@/types";
import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import CustomInput from "@/components/CustomInput";

const component = ({ node }: { node: Node }) => {
  const { label, text} = node.getData();
  return (
    <>
      <div className="relative text-0 w-full h-full">
        <CustomInput value={label} styles={text} node={node} />
      </div>
    </>
  );
};

register({
  shape: "custom-react-umlText",
  width: 120,
  height: 40,
  effect: ["data"],
  component: component,
});

const umlText: CompoundedComponent = {
  name: "文本",
  icon: require("./image/umlText.png"),
  node: {
    shape: "custom-react-umlText",
    data: {
      label: "文本",
    },
    ports: [],
  },
};

export default umlText;
