import { useRef, useEffect } from 'react';
import { useModel } from 'umi';
import Header from "./components/Header";
import ToolBar from "./components/Toolbar";
import { useEvent } from "./useEvent";
import ConfigModal from "./modals";
import Libary from "./components/Libary";
import { useParams } from 'umi';
import { GetWorkFlow } from "@/api/node";
import { useRequest } from 'umi';
import { Spin } from 'antd';

export default function index() {
  const ref = useRef<HTMLDivElement>(null);
  const { init, graph } = useModel('flowModel');
  const params = useParams();

  const { run, loading } = useRequest(GetWorkFlow, {
    manual: true,
    onSuccess: (res) => {
      console.log("流程详情:", res);
      
    },
  });

  useEvent(graph);

  useEffect(() => {
    if (!ref.current) return;
    init(ref.current);
    params?.id && run({ id: params.id });
  }, []);

  return (
    <Spin spinning={loading}>
    <div className='w-100vw h-100vh flex flex-col overflow-hidden'>
      <div className="w-full h-60px bg-#ffffff border-b border-#eaeaea border-b-solid box-shadow-sm">
        <Header />
      </div>
      <div className="flex-1 relative">
        <div className="w-full h-full" ref={ref}/>
        <Libary />
        <ToolBar />
      </div>
      <ConfigModal />
    </div>
    </Spin>
  )
}
