import React from "react";
import { Table, Button, Switch, TableColumnType, Space } from "antd";

export default function Action() {
  const columns: TableColumnType[] = [
    { title: "按钮", dataIndex: "btn", render: (val, record) => <Button /> },
    {
      title: "是否启用",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "对应事件",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "跳转节点",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "跳转排除",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "设置变量",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "操作",
      key: "action",
      render: (val, record) => (
        <Space size="small">
          <Button type="text">编辑</Button>
          <Button type="text" color="danger">
            删除
          </Button>
        </Space>
      ),
    },
  ];
  return (
    <div>
      <div className="mb-12px">
        <Button type="primary">+添加</Button>
      </div>
      <Table columns={columns} dataSource={[]} />
    </div>
  );
}
