import React from "react";
import { Switch, Input, Button, Form, Space } from "antd";

export default function Admission() {
  return (
    <>
      <Form>
        <Form.Item label="是否启用" name="isEntryEnable">
          <Switch />
        </Form.Item>
        <Form.Item label="" shouldUpdate>
          {({ getFieldValue }) => {
            const enabled = getFieldValue("isEntryEnable");
            return (
              <>
                <Space className="w-full mb-12px" align="end" content="end">
                  <Button disabled={!enabled}>+变量</Button>
                  <Button disabled={!enabled}>+字段</Button>
                  <Button disabled={!enabled} type="primary">
                    查看
                  </Button>
                </Space>
                <Input.TextArea
                  disabled={!enabled}
                  rows={5}
                  placeholder="准入条件..."
                />
              </>
            );
          }}
        </Form.Item>
        <div className="mt-12px">
          注意:
          <br />
          <p>1. 这里是SQL中WHERE的写法，支持MS SQL中的内置函数</p>
          <p>2. 如果是比较日期，请注意是否要比较时分秒，否则需要做日期转换</p>
          <p>
            3.
            如果节点准入条件不满足，此节点不参与处理，并会继续往后续节点进行流转
          </p>
        </div>
      </Form>
    </>
  );
}
