import React from "react";
import { Table, Button, Switch, TableColumnType, Space } from "antd";

export default function DisplayConfig() {
  const columns: TableColumnType[] = [
    { title: "字段代码", dataIndex: "btn", render: (val, record) => <Button /> },
    {
      title: "字段名称",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "来源类型",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "内容",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "需求描述",
      dataIndex: "enable",
      render: (val, record) => <Switch />,
    },
    {
      title: "操作",
      key: "action",
      render: (val, record) => (
        <Space size="small">
          <Button type="text">编辑</Button>
          <Button type="text" color="danger">
            删除
          </Button>
        </Space>
      ),
    },
  ];
  return (
    <div>
      <div className="mb-12px">
        <Button type="primary">+字段</Button>
      </div>
      <Table columns={columns} dataSource={[]} />
    </div>
  );
}
