import React from "react";
import { Form, Input, Switch, Button, FormInstance } from "antd";
import SelectModal from "@/components/SelectModal";
import { GetPageByNodeId } from "@/api/node";
import LangInput from "@/components/LangInput";

export default function General() {
  const form = React.useRef<FormInstance>(null);

  const handleSubmit = (values: any) => {};

  return (
    <Form
      ref={form}
      labelCol={{ span: 3 }}
      wrapperCol={{ span: 16 }}
      onFinish={handleSubmit}
    >
      <Form.Item label="节点代码">
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="节点名称">
        <LangInput />
      </Form.Item>
      <Form.Item label="节点描述">
        <Input.TextArea rows={3} placeholder="请输入..." />
      </Form.Item>
      <Form.Item label="关联页面">
        <SelectModal
          key={1}
          api={GetPageByNodeId}
          value={1}
          onSuccess={(data) => {
            return data?.result?.model || [];
          }}
          columns={[
            { title: "名称", dataIndex: "name" },
            { title: "描述", dataIndex: "memo" },
          ]}
          onChange={(rows) => {
            const item = rows[0];
          }}
          defaultParams={[
            {
              currentPage: 1,
              pageSize: 10,
              orderByProperty: "Id",
              Ascending: false,
              filters: [
                {
                  name: "EnterpriseId",
                },
              ],
            },
          ]}
        />
      </Form.Item>
      <Form.Item label="禁止撤回">
        <Switch defaultChecked={false} />
      </Form.Item>
      <Form.Item label={null}>
        <Button type="primary" htmlType="submit">
          保存
        </Button>
        <Button style={{ marginLeft: 8 }} onClick={() => {}}>
          关闭
        </Button>
      </Form.Item>
    </Form>
  );
}
