import React from "react";
import { Table, Select, Switch } from "antd";

export default function SkipMode() {
  const columns = [
    {
      title: "类型",
      dataIndex: "type",
    },
    {
      title: "跳过方式",
      dataIndex: "type",
      render: (text: string) => <Switch />,
    },
    {
      title: "配置",
      dataIndex: "options",
      render: (options: any[]) =>
        options ? <Select options={options} /> : null,
    },
  ];

  const data = [
    { key: 1, type: "处理人与提交人相同跳过", options: "" },
    { key: 2, type: "与前置节点处理人相同跳过", options: "" },
    { key: 3, type: "与某一节点处理人相同跳过", options: "" },
    { key: 4, type: "与前面任意节点处理人相同跳过", options: "" },
    { key: 5, type: "无对应处理人跳过跳过", options: "" },
  ];

  return (
    <div>
      <h3>请选择跳过方式:</h3>
      <Table columns={columns} dataSource={data} />
    </div>
  );
}
