import {defineConfig, presetAttributify, presetUno} from 'unocss';

export function createConfig({strict = true, dev = true} = {}) {
  return defineConfig({
    envMode: dev ? 'dev' : 'build', presets: [presetAttributify({strict}), presetUno()],
    theme: {
      colors: {
        'primary': '#0e52e0',
        'primary-light': '#e6f7ff',
        'primary-dark': '#7e8186',
        'primary-hover': '#40a9ff',
        'primary-active': '#096dd9',
        'primary-disabled': '#c6e2ff',
        'primary-disabled-hover': '#c6e2ff',
        'primary-disabled-active': '#c6e2ff',
      }
    },
    rules: [
      ['flex-important', {display: 'flex !important'}],
    ],
    shortcuts: {
      'flow-node': 'w-full h-full relative text-14px bg-#fff border-2px border-#7e8186 border-solid rounded-8px',
      'node-port': 'absolute w-10px h-10px rounded-full bg-#7e8186 top-1/2 border-2px border-solid border-#fff transition duration-300 hover:scale-150 origin-top hover:bg-#0e53e2'
    },
  });
}

export default createConfig();